Submitted By:            Bruce Dubbs <bdubbs@linuxfromscratch.org>
Date:                    2018-08-21
Initial Package Version: 18.08.0
Upstream Status:         Unknown
Origin:                  Arch Linux
Description:             Fixes build with libraw-0.19.0

diff --git a/src/kdcraw_p.cpp b/src/kdcraw_p.cpp
index d6f5d00..2b1b9d4 100644
--- a/src/kdcraw_p.cpp
+++ b/src/kdcraw_p.cpp
@@ -371,40 +371,14 @@ bool KDcraw::Private::loadFromLibraw(const QString& filePath, QByteArray& imageD
             raw.imgdata.params.fbdd_noiserd = lround(m_parent->m_rawDecodingSettings.NRThreshold / 100.0);
             break;
         }
-        case RawDecodingSettings::LINENR:
-        {
-            // (100 - 1000) => (0.001 - 0.02) conversion.
-            raw.imgdata.params.linenoise    = m_parent->m_rawDecodingSettings.NRThreshold * 2.11E-5 + 0.00111111;
-            raw.imgdata.params.cfaline      = true;
-            break;
-        }
-
-        case RawDecodingSettings::IMPULSENR:
-        {
-            // (100 - 1000) => (0.005 - 0.05) conversion.
-            raw.imgdata.params.lclean       = m_parent->m_rawDecodingSettings.NRThreshold     * 5E-5;
-            raw.imgdata.params.cclean       = m_parent->m_rawDecodingSettings.NRChroThreshold * 5E-5;
-            raw.imgdata.params.cfa_clean    = true;
-            break;
-        }
         default:   // No Noise Reduction
         {
             raw.imgdata.params.threshold    = 0;
             raw.imgdata.params.fbdd_noiserd = 0;
-            raw.imgdata.params.linenoise    = 0;
-            raw.imgdata.params.cfaline      = false;
-            raw.imgdata.params.lclean       = 0;
-            raw.imgdata.params.cclean       = 0;
-            raw.imgdata.params.cfa_clean    = false;
             break;
         }
     }
 
-    // Chromatic aberration correction.
-    raw.imgdata.params.ca_correc  = m_parent->m_rawDecodingSettings.enableCACorrection;
-    raw.imgdata.params.cared      = m_parent->m_rawDecodingSettings.caMultiplier[0];
-    raw.imgdata.params.cablue     = m_parent->m_rawDecodingSettings.caMultiplier[1];
-
     // Exposure Correction before interpolation.
     raw.imgdata.params.exp_correc = m_parent->m_rawDecodingSettings.expoCorrection;
     raw.imgdata.params.exp_shift  = m_parent->m_rawDecodingSettings.expoCorrectionShift;
@@ -457,8 +431,6 @@ bool KDcraw::Private::loadFromLibraw(const QString& filePath, QByteArray& imageD
 
     raw.imgdata.params.dcb_iterations = m_parent->m_rawDecodingSettings.dcbIterations;
     raw.imgdata.params.dcb_enhance_fl = m_parent->m_rawDecodingSettings.dcbEnhanceFl;
-    raw.imgdata.params.eeci_refine    = m_parent->m_rawDecodingSettings.eeciRefine;
-    raw.imgdata.params.es_med_passes  = m_parent->m_rawDecodingSettings.esMedPasses;
 
     //-------------------------------------------------------------------------------------------
 
